Bug 1305783 - [RFE] Disable all but essential services in the image by default
[RFE] Disable all but essential services in the image by default
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
All Linux
low Severity medium
: ---
: ---
Assigned To: Alex Schultz
Gurenko Alex
: FutureFeature, Triaged
Depends On:
Blocks: 1339506 1442136
  Show dependency treegraph
 
Reported: 2016-02-09 03:53 EST by Anand Nande
Modified: 2017-10-31 22:17 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anand Nande 2016-02-09 03:53:45 EST
In Red Hat OpenStack Platform 7.x deployed using Red Hat Director, 
the 'libvirtd' service is enabled and started in controller nodes. 

Since controller nodes do not run compute workloads, 
I think it is an unnecessary service.

Would it be possible to have it disabled by default in 
controller nodes? If not by default, at least provide 
a tuneable in Heat/Hieradata so that people can disable 
it in controller nodes if they want.
Comment 2 Edu Alcaniz 2016-05-25 08:50:44 EDT
could we have an update about this RFE please?
Comment 3 Edu Alcaniz 2016-05-25 08:50:54 EDT
could we have an update about this RFE please?
Comment 4 Edu Alcaniz 2016-09-13 01:50:26 EDT
could we have an update about this RFE please?
Comment 7 Jaromir Coufal 2017-01-03 09:15:29 EST
Hi,

This seems like it is not causing any issues and it is more usability problem. Setting low priority to the feature and targeting OSP12 at this point.

-- Jarda
Comment 8 Red Hat Bugzilla Rules Engine 2017-01-31 14:48:06 EST
This bugzilla has been removed from the release and needs to be reviewed for targeting another release.
Comment 10 Jaromir Coufal 2017-06-13 10:11:57 EDT
Due to missed milestone deadline, pushing dev target to early Queens M-1 and therefor productization of the feature to OSP13.

Development in the upstream master will continue through out the time of OSP12 cycle with lower priority than OSP12 feature.
Comment 11 Jaromir Coufal 2017-06-13 10:13:41 EDT
PS: Might be irrelevant after OSP12 and containerized deployment (different delivery model)

Note You need to log in before you can comment on or make changes to this bug.